//
//  Converter.m
//  Testbed
//
//  Created by Jesse Feiler on 1/5/12.
//  Copyright (c) 2012 Champlain Arts Corp. All rights reserved.
//

#import "Converter.h"

@implementation Converter
@synthesize exchangeFactor;

- (id) initWithFactor: (NSNumber *)factor{
  if (self = [super init]) { // equivalent to "self does not equal nil"
    self.exchangeFactor = factor;
  }
  return self;
  
}

- (NSNumber *) convertUnits: (NSNumber *)units {
  return [NSNumber numberWithFloat:[units floatValue] * [self.exchangeFactor floatValue]]; 
}

- (NSNumber *) convertUnits: (NSNumber *)units withFactor: (NSNumber *)factor {
  return [NSNumber numberWithFloat:[units floatValue] * [factor floatValue]];
}
@end
